libtpmtss: Only check for legacy TSS2 libs if newer are not found
authorTobias Brunner <tobias@strongswan.org>
Thu, 30 Jan 2020 12:49:10 +0000 (13:49 +0100)
committerTobias Brunner <tobias@strongswan.org>
Thu, 30 Jan 2020 14:37:45 +0000 (15:37 +0100)
On LGTM, legacy packages are installed automatically otherwise.

configure.ac

index ae950a4..e226678 100644 (file)
@@ -1029,22 +1029,24 @@ if test x$tss_tss2 = xtrue; then
        PKG_CHECK_MODULES(tss2_esys, [tss2-esys],
                [tss2_esys=true; AC_DEFINE([TSS2_ESYS], [], [use TSS2 v2 Extended System API])],
                [tss2_esys=false])
-       PKG_CHECK_MODULES(tss2_tabrmd, [tcti-tabrmd],
-               [tss2_tabrmd=true; AC_DEFINE([TSS2_TCTI_TABRMD], [], [use TCTI Access Broker and Resource Mamager])],
-               [tss2_tabrmd=false])
-       PKG_CHECK_MODULES(tss2_socket, [tcti-socket],
-               [tss2_socket=true; AC_DEFINE([TSS2_TCTI_SOCKET], [], [use TCTI Sockets])],
-               [tss2_socket=false])
        if test x$tss2_sys = xtrue; then
                AC_DEFINE([TSS_TSS2_V2], [], [use TSS 2.0 v2 libraries])
                AC_SUBST(tss2_CFLAGS, "$tss2_sys_CFLAGS")
                AC_SUBST(tss2_LIBS, "$tss2_sys_LIBS")
-       elif test x$tss2_tabrmd = xtrue -o x$tss2_socket = xtrue; then
-               AC_DEFINE([TSS_TSS2_V1], [], [use TSS 2.0 v1 libraries])
-               AC_SUBST(tss2_CFLAGS, "$tss2_tabrmd_CFLAGS $tss2_socket_CFLAGS")
-               AC_SUBST(tss2_LIBS, "$tss2_tabrmd_LIBS $tss2_socket_LIBS")
        else
-               AC_MSG_FAILURE([no TSS2 TCTI or SAPI libraries detected])
+               PKG_CHECK_MODULES(tss2_tabrmd, [tcti-tabrmd],
+                       [tss2_tabrmd=true; AC_DEFINE([TSS2_TCTI_TABRMD], [], [use TCTI Access Broker and Resource Mamager])],
+                       [tss2_tabrmd=false])
+               PKG_CHECK_MODULES(tss2_socket, [tcti-socket],
+                       [tss2_socket=true; AC_DEFINE([TSS2_TCTI_SOCKET], [], [use TCTI Sockets])],
+                       [tss2_socket=false])
+               if test x$tss2_tabrmd = xtrue -o x$tss2_socket = xtrue; then
+                       AC_DEFINE([TSS_TSS2_V1], [], [use TSS 2.0 v1 libraries])
+                       AC_SUBST(tss2_CFLAGS, "$tss2_tabrmd_CFLAGS $tss2_socket_CFLAGS")
+                       AC_SUBST(tss2_LIBS, "$tss2_tabrmd_LIBS $tss2_socket_LIBS")
+               else
+                       AC_MSG_FAILURE([no TSS2 TCTI or SAPI libraries detected])
+               fi
        fi
 fi